import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/property/page/property_page.dart';


part 'property_page_router.gr.dart';

/*\
 * Property 模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class PropertyPageRouter extends _$PropertyPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: PropertyPageRoute.page, path: RouterPath.property, transitionsBuilder: applySlideTransition),
  ];
}
